%define upstream_name    Cairo-GObject
%define upstream_version 1.004

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    %mkrel 1
Summary:    Integrate Cairo into the Glib type system
License:    LGPLv2
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Cairo/%{upstream_name}-%{upstream_version}.tar.xz
BuildRequires: perl(Cairo)
BuildRequires: perl(ExtUtils::Depends)
BuildRequires: perl(ExtUtils::PkgConfig)
BuildRequires: perl(Glib)
BuildRequires: perl-devel
BuildRequires: cairo-devel

%description
Integrate Cairo into the Glib type system

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
#make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc META.json LICENSE README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Feb 27 2016 bb <bb> 1.004-1pclos2016
- update

* Mon Oct 17 2011 Texstar <texstar at gmail.com> 1.001-1pclos2011
- 1.001
